<template>
  <div v-loading="loading" :style="'height:' + height">
    <iframe :src="src" frameborder="no" style="width: 100%;height: 100%" scrolling="auto" />
  </div>
</template>
<script>
import {
  getToken
} from '@/utils/auth'
import { view } from "@/api/jmreport/jimu";
export default {
  name: "Ureport",
  data() {
    return {
      src: "",
      height: document.documentElement.clientHeight - 94.5 + "px;",
      loading: true,
      viewNum:"920563244359954432"
    };
  },
  created() {
    view().then((res) => {
      this.src =
        res +
        "/" +
        this.viewNum +
        "?token=Bearer " +
        getToken();
    });
    // this.src = "http://192.168.0.99:8080/ltkj-admin/jmreport/view/803795472456839168?token=Bearer " + getToken();
  },

  mounted: function () {
    setTimeout(() => {
      this.loading = false;
    }, 230);
    const that = this;
    window.onresize = function temp() {
      that.height = document.documentElement.clientHeight - 94.5 + "px;";
    };
  }
};
</script>